Bug 186635 - errors running system-config-kickstart
errors running system-config-kickstart
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 16:09 EST by MW
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 10:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MW 2006-03-24 16:09:24 EST
Description of problem:
when trying (as root or as normal user) to run  system-config-kicktart on fresh
install of FC5 ( desktop-use profile + mc + win server + lynx + selinux disabled
receive errors:

- system-config-kickstart --generate test.cfg returns:
Traceback (most recent call last):
 File "/usr/share/system-config-kickstart/system-config-kickstart.py", line 58, in ?
   useCliMode(value)
 File "/usr/share/system-config-kickstart/system-config-kickstart.py", line 40,
in useCliMode
    import kickstartData
ImportError: No module named kickstartData

And there is no such module under /usr/share/system-config-kickstart dir ( old
verions have this module).


Version-Release number of selected component (if applicable):
system-config-kickstart-2.6.6-2 + pykickstart-0.23-1

How reproducible:
every run of the command as normal or root

Steps to Reproduce:
1.install fresh with desktop use profile + mc + lynx + win server + selinux disabled
2.run system-config-kickstart --generate test.cfg
  
Actual results:
command returns above mentioned error


Expected results:
command should generate cfg file with actual configuration of the system

Additional info:
Comment 1 Chris Lumens 2006-03-24 17:53:25 EST
Support for --generate was never really reworked for the new pykickstart method.
 I'll work up an FC5 update next week for this and put it updates-testing.
Comment 2 Chris Lumens 2006-03-27 11:12:01 EST
An update has been built into the FC5 updates-testing repository and will ship
within a day or two.  Please test this update when it is made available and
report whether it works for you or not.  Once it works, I will push it to
updates.  I have also built the fix into Rawhide.
Comment 3 MW 2006-03-29 06:19:15 EST
updates-testing version 2.6.6-4 works. thank you.

Note You need to log in before you can comment on or make changes to this bug.